# FILE: tclreadlineInit.tcl.in
# $Id: 2519ea7ecb6f04a3e24d1b666c8e69d7b2b3779d $
# ---
# tclreadline -- gnu readline for tcl
# https://github.com/flightaware/tclreadline/
# Copyright (c) 1998 - 2014, Johannes Zellner <johannes@zellner.org>
# This software is copyright under the BSD license.
# ---

package provide tclreadline 2.4.1

namespace eval tclreadline:: {
    namespace export Init
}

proc ::tclreadline::Init {} {
    uplevel #0 {
        if {![info exists tclreadline::library]} {
            set msg ""
            foreach dirname [list /usr/lib64/tcl9.0/tclreadline2.4.1 [file dirname [info script]]] {
                if {[catch {load [file join $dirname libtclreadline[info sharedlibextension]] Tclreadline} msg] == 0} {
                    set msg ""
                    break
                }
            }
            if {$msg != ""} {
                puts stderr $msg
                exit 2
            }
        }
    }
}

tclreadline::Init
::tclreadline::readline customcompleter ::tclreadline::ScriptCompleter

source [file join [file dirname [info script]] tclreadlineSetup.tcl]

set auto_index(::tclreadline::ScriptCompleter) \
    [list source [file join [file dirname [info script]] tclreadlineCompleter.tcl]]
